
package com.textura.cpms.web.servlet;

import java.io.*;
import java.util.ResourceBundle;
import java.util.Locale;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.*;

@WebServlet(urlPatterns="/*")
public class SayHello extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		PrintWriter writer = response.getWriter();
		Locale locale = request.getLocale();
		System.out.println("request locale = " + locale);
		String bundleName = "cpms.resources.i18n.messages";
		ResourceBundle resources = ResourceBundle.getBundle(bundleName, locale);
		String greeting = resources.getString("SayHello.hello");
		writer.append(greeting);
	}
}
